/**
 * GT header file
 */
#ifndef __GT_H_
#define __GT_H_

#include <string>
#include <stdint.h>

/**
 * Define namespace, trigger mailbox, and number of available partitions
 */

/**
 * Namespace name novadaq::gt
 */
#define GT_NAMESPACE novadaq::gt
#define TRIGGER_MAILBOX "GlobalTriggerMailbox"
// How many active trigger bits do we have at the moment?
#define NUMBITS 30

#define GT_NAMESPACE_BEGIN \
namespace novadaq { \
  namespace gt { 
#define GT_NAMESPACE_END \
  } /* novadaq */ \
} /* gt */ 

GT_NAMESPACE_BEGIN

static const int32_t NUMPARTS = 5; //I think partitions 0->4 are all we have?

GT_NAMESPACE_END

#endif // __GT_H_
