#ifndef __GTDATATRIG_H_
#define __GTDATATRIG_H_

#include <NovaGlobalTrigger/TriggerGenerator.h>   // Base Class

#include <DAQDataFormats/TriggerDefines.h>
#include <string>

class GTDataTrig : public TriggerGenerator {

 public:

  bool LogEnabledTrigs(daqdataformats::trigID id);

  void work();
  void configure();
  void setTrigNameMap   (std::map<std::string,daqdataformats::trigID> newMap){TrigNameMap=newMap;}
  void setValidTrigTypes(std::map<daqdataformats::trigID,bool> newMap){ValidTrigTypes=newMap;}
 private:

  std::map<std::string,daqdataformats::trigID> TrigNameMap;
  std::map<daqdataformats::trigID,bool>        ValidTrigTypes;

  // Iterator across the enabled triggers
  std::map<daqdataformats::trigID,bool>::iterator trigMapIter;

};

// void GTDataTrig();

#endif // __GTDATATRIG_H_
