#ifndef __GLOBAL_TRIGGER_GENERATOR_H
#define __GLOBAL_TRIGGER_GENERATOR_H

#include <string>

// Base class for Trigger Generation pluggins
//
// Trigger Generators are designed to have a work thread
// and a configuration methods

  class TriggerGenerator {
    
  public:

    // TriggerGenerator();

    virtual void work()        =0;
    virtual void configure()   =0;
    std::string name(){return _name;};
    void setname(std::string n){ _name = n;};

  protected:
    
  private:

    std::string _name;

  };  // end class

// Type for the Class Factories
typedef TriggerGenerator* create_t();
typedef void              destroy_t(TriggerGenerator*);

#endif // __GLOBAL_TRIGGER_GENERATOR_H
