/**
 * Header file containing basic definitions used throughout the code
 * $Id: Defs.h,v 1.1.1.1 2009/10/21 19:54:40 piccoli Exp $
 */

#ifndef __NOVA_RCCLIENT_HPP_
#define __NOVA_RCCLIENT_HPP_

/**
 * Namespace name
 */ 
#define NOVA_RCC gov::fnal::nova::rcc
#define NOVA_RCC_NAMESPACE_BEGIN \
    namespace gov  { \
    namespace fnal { \
    namespace nova { \
    namespace rcc  {
#define NOVA_RCC_NAMESPACE_END \
    } /* gov */ \
    } /* fnal */ \
    } /* nova */ \
    } /* rcc */

NOVA_RCC_NAMESPACE_BEGIN       

enum TraceLevel {
  ERROR_LEVEL = 0,
  WARN_LEVEL,
  DEBUG_LEVEL,
  INFO_LEVEL,
  CONNECTION_LEVEL,
  DIRECTOR_LEVEL,
  PROCESSOR_LEVEL,
  BUFFER_LEVEL,
  STATE_LEVEL
};

enum ReturnValue {
    ERROR = -1,
    OK = 0
};

NOVA_RCC_NAMESPACE_END

#endif
